Create Password Policy
Create password policy
Password policy to create (omit id, createdAt, updatedAt)
Show optional properties
{
"complexityConstraints": {
"minLength": 0,
"minLowercase": 0,
"minNumeric": 0,
"minSpecial": 0,
"minUppercase": 0,
"passwordHistory": 0
},
"expirationConstraints": {
"maxDays": 0,
"warnDays": 0
},
"lockoutConstraints": {
"lockoutEvaluationPeriod": 0,
"lockoutMaxAuthFailures": 0,
"lockoutPeriod": 0
},
"name": "string"
}
"{\n \"name\" : \"Fleet Example Policy\",\n \"description\" : \"Example fleet password policy for API documentation\",\n \"complexityConstraints\" : {\n \"minLength\" : 12,\n \"minLowercase\" : 1,\n \"minUppercase\" : 1,\n \"minNumeric\" : 1,\n \"minSpecial\" : 1,\n \"passwordHistory\" : 3\n },\n \"expirationConstraints\" : {\n \"maxDays\" : 90,\n \"warnDays\" : 7\n },\n \"lockoutConstraints\" : {\n \"lockoutMaxAuthFailures\" : 3,\n \"lockoutEvaluationPeriod\" : 900,\n \"lockoutPeriod\" : 900\n }\n}"
Policy complexity constraints
Epoch milliseconds when the policy was created. Omit on create and update (server-managed).
Policy description
Policy expiration constraints
Indicates whether this policy is the active fleet-wide policy; set to true when applied to the FLEET scope. Omit on create and update (server-managed).
Policy ID. Omit on create; required on update.
Policy lockout constraints
Policy name. Required on create and update.
Epoch milliseconds when the policy was last updated. Omit on create and update (server-managed).
Created
"{\n \"id\" : \"033a28ca-50be-4aa1-ada0-d7558b21c75a\",\n \"name\" : \"Fleet Example Policy\",\n \"description\" : \"Example fleet password policy for API documentation\",\n \"complexityConstraints\" : {\n \"minLength\" : 12,\n \"minLowercase\" : 1,\n \"minUppercase\" : 1,\n \"minNumeric\" : 1,\n \"minSpecial\" : 1,\n \"passwordHistory\" : 3\n },\n \"expirationConstraints\" : {\n \"maxDays\" : 90,\n \"warnDays\" : 7\n },\n \"lockoutConstraints\" : {\n \"lockoutMaxAuthFailures\" : 3,\n \"lockoutEvaluationPeriod\" : 900,\n \"lockoutPeriod\" : 900\n },\n \"createdAt\" : 1741630060000,\n \"updatedAt\" : 1741716460000\n}"
Policy complexity constraints
Epoch milliseconds when the policy was created. Omit on create and update (server-managed).
Policy description
Policy expiration constraints
Indicates whether this policy is the active fleet-wide policy; set to true when applied to the FLEET scope. Omit on create and update (server-managed).
Policy ID. Omit on create; required on update.
Policy lockout constraints
Policy name. Required on create and update.
Epoch milliseconds when the policy was last updated. Omit on create and update (server-managed).
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"complexityConstraints":"object","expirationConstraints":"object","lockoutConstraints":"object","name":"string"}' https://{api_host}/suite-api/api/fleet-management/password-policies